Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 596424 (CVE-2010-1400) - CVE-2010-1400 WebKit: use-after-free vulnerability in handling of caption elements
Summary: CVE-2010-1400 WebKit: use-after-free vulnerability in handling of caption ele...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2010-1400
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 806808
TreeView+ depends on / blocked
 
Reported: 2010-05-26 18:12 UTC by Vincent Danen
Modified: 2021-02-24 23:07 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-05 08:15:36 UTC


Attachments (Terms of Use)

Description Vincent Danen 2010-05-26 18:12:01 UTC
A use after free issue exists in WebKit's handling of caption elements. Visiting a maliciously crafted website may lead to an unexpected application termination or arbitrary code execution. This issue is addressed through improved handling of caption elements.

References:

Bugzilla: https://bugs.webkit.org/show_bug.cgi?id=34734
Trac: http://trac.webkit.org/changeset/54521

Acknowledgements:

Red Hat would like to thank Drew Yao of Apple Product Security for responsibly reporting this issue. Upstream acknowledges regenrecht working with iDefense as the original reporter.

Comment 3 Jan Lieskovsky 2010-06-08 16:35:26 UTC
Public via:
  [1] http://support.apple.com/kb/HT4196


Note You need to log in before you can comment on or make changes to this bug.